export interface DragScrollOptions {
    dragThreshold?: number;
    noChildDrag?: boolean;
}
export declare class DragScroll {
    private element;
    private noChildDrag;
    private dragThreshold;
    private isDragging;
    private hasDragged;
    private startX;
    private startY;
    private lastClientX;
    private lastClientY;
    constructor(element: HTMLElement, options?: DragScrollOptions);
    attach(): void;
    detach(): void;
    private onMouseDown;
    private onMouseMove;
    private onMouseUp;
    private onClick;
}
